Bug 1282243 - pysendfile: Suggest to update the upstream link and version for Python 3 supports
Summary: pysendfile: Suggest to update the upstream link and version for Python 3 supp...
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: pysendfile   
(Show other bugs)
Version: 24
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Tomas Orsava
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: PYTHON3 PY3PATCH-PUSH
TreeView+ depends on / blocked
 
Reported: 2015-11-15 18:09 UTC by Michael Lee
Modified: 2017-08-07 12:41 UTC (History)
5 users (show)

Fixed In Version: pysendfile-2.0.1-1.fc25
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-08 15:56:48 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Python 3 patch for specfile (4.17 KB, patch)
2016-06-08 12:49 UTC, Dominika Krejčí
no flags Details | Diff

Description Michael Lee 2015-11-15 18:09:24 UTC
Description of problem:

Upstream link changed to from Google Code to github.
https://github.com/giampaolo/pysendfile

New version 2.0.1 suggested to support Python 3.

Comment 1 Jan Kurik 2016-02-24 13:58:42 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase

Comment 2 Petr Viktorin 2016-04-19 14:39:58 UTC
Russell, do you need any help with the update, or with supporting Python 3?

Comment 3 Dominika Krejčí 2016-06-08 12:49 UTC
Created attachment 1166005 [details]
Python 3 patch for specfile

Hi Russell,
here is the change needed to add Python 3 support. Could you please review it and do the update?

Koji scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=14421908

Also tested in Mock (fedora-23-x86_64, fedora-24-x86_64, fedora-rawhide-i386, fedora-rawhide-x86_64).

Comment 4 Tomas Orsava 2016-06-09 09:41:27 UTC
The patch looks good, Dominika, thank you!

Comment 5 Tomas Orsava 2016-06-09 09:42:01 UTC
Hi Russell,
as this is a bit of a time sensitive issue, we would really appreciate if you could take a look at the patch as soon as possible.
If you are time constrained right now, I hope you won't mind if we do the review and push the changes ourselves in case you are unable.

Thank you!


Note You need to log in before you can comment on or make changes to this bug.